# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "dbd-sqlite3"
  s.version = "1.2.5"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Erik Hollensbe", "Christopher Maujean"]
  s.date = "2009-07-11"
  s.description = "SQLite 3.x DBD for DBI"
  s.email = "ruby-dbi-users@rubyforge.org"
  s.extra_rdoc_files = ["README", "LICENSE", "ChangeLog"]
  s.files = ["test/dbd/general/test_statement.rb", "test/dbd/general/test_database.rb", "test/dbd/general/test_types.rb", "test/dbd/sqlite3/base.rb", "test/dbd/sqlite3/test_driver.rb", "test/dbd/sqlite3/test_statement.rb", "test/dbd/sqlite3/up.sql", "test/dbd/sqlite3/test_database.rb", "lib/dbd/SQLite3.rb", "lib/dbd/sqlite3/database.rb", "lib/dbd/sqlite3/statement.rb", "test/DBD_TESTS", "README", "LICENSE", "ChangeLog", "test/ts_dbd.rb"]
  s.homepage = "http://www.rubyforge.org/projects/ruby-dbi"
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.8.0")
  s.rubyforge_project = "ruby-dbi"
  s.rubygems_version = "1.8.23"
  s.summary = "SQLite 3.x DBD for DBI"
  s.test_files = ["test/ts_dbd.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 2

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<dbi>, [">= 0.4.0"])
      s.add_runtime_dependency(%q<sqlite3-ruby>, [">= 0"])
    else
      s.add_dependency(%q<dbi>, [">= 0.4.0"])
      s.add_dependency(%q<sqlite3-ruby>, [">= 0"])
    end
  else
    s.add_dependency(%q<dbi>, [">= 0.4.0"])
    s.add_dependency(%q<sqlite3-ruby>, [">= 0"])
  end
end
